iLO5 의 경우, Java 8 이상이 권장됨. (JRE의 경Java Security Warning우, Java IRC 사용을 위한 사전 준비 항목임)

This version of iLO was tested with JRE version 8 update 121.

 

Note: Java 7 최신 업데이트를 통해, iLO 5 Remote Console에 접근 가능하나, 일부 동작에서 오류가 확인됨
권장 버전 이상의 Java 8 버전 사용 시에는 문제가 확인 되지 않음.

 

Test 정보

1. Install RHEL 6.6 (Select Desktop + Compatible Libraries) to DL360 Gen9

이 Client에서 iLO 5(Gen10)에 접근함

 

2. Download Java SE Runtime Environment 8 (or 7) packages
https://www.oracle.com/technetwork/java/javase/downloads/jre8-downloads-2133155.html
https://www.oracle.com/technetwork/java/javase/downloads/java-archive-downloads-javase7-521261.html

 

3. Install Java Runtime Environment 1.7.0_65 for javaws
# rpm -ivh jre-7u65-linux-x64.rpm

 

4. launch FireFox and access iLO 5 after accept securtiy exception

 

5. Remote Console & Media > Java IRC > WebStart 선택 >> iLO-jirc.jnlp (Java Web Start(jnlp) file 저장 /tmp)

 

6. CLI 명령 창에서, Java Web Start(javaws) 실행
# javaws /tmp/iLO-jirc.jnlp

>> Error
(:31552): Gtk-CRITICAL **: IA__gtk_message_dialog_set_markup: assertion `GTK_IS_MESSAGE_DIALOG (message_dialog)' failed
Segmentation fault (core dumped)

 

Note: OS 기본 포함된 버전을 기준으로 설치 해보니 iRC 수행 중 오류가 발생됨

 

7. Install Java Runtime Environment 1.7.0_80 for javaws
# rpm -e jre
# rpm -ivh jre-7u80-linux-x64.rpm

 

8. CLI 명령 창에서, Java Web Start(javaws) 실행
# javaws /tmp/iLO-jirc.jnlp

 

9. Java Update를 찾을 지 질의하는 대화창

Java Update check

10. Java 보안 경고

Java Security Warning
Java Security Warning


11. Java iRC 접속

Java iRC

This version of iLO was tested with JRE version 8 update 121.

 

12. Install Java Runtime Environment 1.8.0_211 for javaws
# rpm -e jre
# rpm -ivh jre-8u211-linux-x64.rpm

 

13. CLI 명령 창에서, Java Web Start(javaws) 실행
# javaws /tmp/iLO-jirc.jnlp
# javaws /tmp/iLO-jirc-n.jnlp n=1...

 

다중 창 수행 시에도 정상 동작됨

 

추가.

iLO Remote Console을 사용함에, .NET 또는 Java와의 호환 이슈를 해소하기 위해 HPE는 HTML5 기반의 Console을 제공

HPE Integrated Lights Out (iLO 5) for Gen10 Servers
https://support.hpe.com/hpsc/doc/public/display?docId=emr_na-a00019259en_us
HTML5 remote console : No dependency on JAVA or .NET

 

HTML5 iRC

Posted by 스쳐가는인연